using UnityEngine;
using System.Collections;

public class FadeAway : MonoBehaviour {
	
	bool hidden = false;
	public float starting_fade = 1.0f;
	
	// Use this for initialization
	void Start () {
		hidden = false;
	}
	
	// Update is called once per frame
	void Update () {
		if(hidden)
			return;
		float time_since = transform.parent.GetComponent<LevelWatcher>().GetTimePastBeginning();
		if(time_since > 0) {
			gameObject.GetComponent<MeshRenderer>().material.color = new Color(1.0f, 1.0f, 1.0f, (1.0f - (time_since * 0.3f)));			
			if (time_since > 5) {
				hidden = true;
			}
		} else {
			gameObject.GetComponent<MeshRenderer>().material.color = new Color(1.0f, 1.0f, 1.0f, starting_fade);
		}
	
	}
}
