using UnityEngine;
using System.Collections;

public class WorldEntity : MonoBehaviour {
	
	protected Earth the_earth;
	public Vector2 birthplace = new Vector2(0.5f, 0.5f);
	protected Vector2 my_place_on_the_earth = new Vector2();
	protected Vector3 my_place_in_the_cosmos = new Vector3();
	
	void Awake () {
		the_earth = transform.parent.GetComponent<Earth>();
		if(!the_earth) {
			Debug.LogError("TinyPilgrim can't find the Earth!");
		}
		my_place_on_the_earth = birthplace;
	}

	// Use this for initialization
	void Start () {
	
	}
	
	// Update is called once per frame
	void Update () {

	}
	
	// Keeps tinyPilgrim's feet on the ground
	protected void CleaveToTheEarth() {
		Vector3 pilgrim_position = the_earth.GetPositionFromUV(my_place_on_the_earth);
		pilgrim_position += new Vector3(0.0f, 0.075f, 0.0f);
		my_place_in_the_cosmos = pilgrim_position;
		//transform.position = pilgrim_position;
		//Debug.Log(my_place_on_the_earth + " " + pilgrim_position);
	}
}
